Functions
Configuration functions
Peripheral Driver » LL Driver » SLP_TIMER » Functions

## Functions
__STATIC_INLINE void | ll_sleep_timer_config_and_start (slp_timer_regs_t *SLP_TIMERx, uint32_t mode)
| Configure Sleep Timer Work mode and Start Sleep Timer. More...
__STATIC_INLINE void | ll_sleep_timer_enable (slp_timer_regs_t *SLP_TIMERx)
| Enable sleep timer. More...
__STATIC_INLINE void | ll_sleep_timer_disable (slp_timer_regs_t *SLP_TIMERx)
| disable sleep timer More...
__STATIC_INLINE void | ll_sleep_timer_load_counter_value (slp_timer_regs_t *SLP_TIMERx)
| enable sleep timer More...
__STATIC_INLINE void | ll_sleep_timer_set_mode (slp_timer_regs_t *SLP_TIMERx, uint32_t mode)
| Set the Sleep Timer Work Mode. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_get_mode (slp_timer_regs_t *SLP_TIMERx)
| Get the Sleep Timer Work Mode. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_is_running (slp_timer_regs_t *SLP_TIMERx)
| check the sleep timer runing state. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_is_busy (slp_timer_regs_t *SLP_TIMERx)
| check the sleep timer busy state. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_is_counting (slp_timer_regs_t *SLP_TIMERx)
| check the sleep timer busy state. More...
__STATIC_INLINE void | ll_sleep_timer_set_counter_value (slp_timer_regs_t *SLP_TIMERx, uint32_t value)
| Set the 32 bits reload value to register, which not real internal value. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_get_counter_value (slp_timer_regs_t *SLP_TIMERx)
| Set the 32 bits reload value to register, which not real internal value. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_get_counter_int_value (slp_timer_regs_t *SLP_TIMERx)
| Get the current count value. More...
__STATIC_INLINE void | ll_sleep_timer_clear_flag_it (void)
| Clear the sleep timer interrupt status flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_sleep_timer_clear_flag_it()

__STATIC_INLINE void ll_sleep_timer_clear_flag_it | ( | void |  | ) |

Clear the sleep timer interrupt status flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Return values

  None |

Definition at line 337 of file ll_sleep_timer.h.

References AON_CTL.

## ◆ ll_sleep_timer_config_and_start()

__STATIC_INLINE void ll_sleep_timer_config_and_start | ( | slp_timer_regs_t * | SLP_TIMERx,
|  | uint32_t | mode
| ) |  |

Configure Sleep Timer Work mode and Start Sleep Timer.

Register|BitsName --------|-------- CFG0 | EN CFG0 | VAL_SET CFG_0 | MODE CFG_0 | COUNT_MODE

Parameters

  SLP_TIMERx | SLEEP TIMER instance
  mode | SLEEP TIMER mode

Return values

  None |

Definition at line 147 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_disable()

__STATIC_INLINE void ll_sleep_timer_disable | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

disable sleep timer

Register|BitsName --------|-------- CFG0 | EN

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  None |

Definition at line 177 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_enable()

__STATIC_INLINE void ll_sleep_timer_enable | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

Enable sleep timer.

Register|BitsName --------|-------- CFG0 | EN

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  None |

Definition at line 162 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_get_counter_int_value()

__STATIC_INLINE uint32_t ll_sleep_timer_get_counter_int_value | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

Get the current count value.

Register|BitsName --------|-------- TIMER_R | VAL_READ

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  32 | bit SLEEP Timer Count Value

Definition at line 323 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_get_counter_value()

__STATIC_INLINE uint32_t ll_sleep_timer_get_counter_value | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

Set the 32 bits reload value to register, which not real internal value.

Register|BitsName --------|-------- TIMER_W | VAL_SET

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  None |

Definition at line 307 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_get_mode()

__STATIC_INLINE uint32_t ll_sleep_timer_get_mode | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

Get the Sleep Timer Work Mode.

Register|BitsName --------|-------- CFG_0 | MODE CFG_0 | COUNT_MODE

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  Returned | Value can be one of the following values: LL_SLEEP_TIMER_SINGLE_MODE_0 LL_SLEEP_TIMER_SINGLE_MODE_1 LL_SLEEP_TIMER_AUTO_MODE

Definition at line 231 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_is_busy()

__STATIC_INLINE uint32_t ll_sleep_timer_is_busy | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

check the sleep timer busy state.

Register|BitsName --------|-------- STAT | BUSY

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  busy | state of sleep timer (1 or 0).

Definition at line 261 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_is_counting()

__STATIC_INLINE uint32_t ll_sleep_timer_is_counting | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

check the sleep timer busy state.

Register|BitsName --------|-------- STAT | COUNTING

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  busy | state of sleep timer (1 or 0).

Definition at line 276 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_is_running()

__STATIC_INLINE uint32_t ll_sleep_timer_is_running | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

check the sleep timer runing state.

Register|BitsName --------|-------- STAT | RUNNING

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  runing | state of sleep timer (1 or 0).

Definition at line 246 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_load_counter_value()

__STATIC_INLINE void ll_sleep_timer_load_counter_value | ( | slp_timer_regs_t * | SLP_TIMERx | ) |

enable sleep timer

Register|BitsName --------|-------- CFG0 | VAL_SET

Parameters

  SLP_TIMERx | SLEEP TIMER instance

Return values

  None |

Definition at line 192 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_set_counter_value()

__STATIC_INLINE void ll_sleep_timer_set_counter_value | ( | slp_timer_regs_t * | SLP_TIMERx,
|  | uint32_t | value
| ) |  |

Set the 32 bits reload value to register, which not real internal value.

Register|BitsName --------|-------- TIMER_W | VAL_SET

Parameters

  SLP_TIMERx | SLEEP TIMER instance
  value | 32 bits count value loaded into the 32bit_timer

Return values

  None |

Definition at line 292 of file ll_sleep_timer.h.

## ◆ ll_sleep_timer_set_mode()

__STATIC_INLINE void ll_sleep_timer_set_mode | ( | slp_timer_regs_t * | SLP_TIMERx,
|  | uint32_t | mode
| ) |  |

Set the Sleep Timer Work Mode.

Register|BitsName --------|-------- CFG_0 | MODE CFG_0 | COUNT_MODE

Parameters

  SLP_TIMERx | SLEEP TIMER instance
  mode | This parameter can be one of the following values: LL_SLEEP_TIMER_SINGLE_MODE_0 LL_SLEEP_TIMER_SINGLE_MODE_1 LL_SLEEP_TIMER_AUTO_MODE

Return values

  None |

Definition at line 212 of file ll_sleep_timer.h.